Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.mock.interceptor
[Groovy] Class MockInterceptor

    java.lang.Object
      groovy.mock.interceptor.MockInterceptor

All Implemented Interfaces:
  PropertyAccessInterceptor

    class MockInterceptor

Intercepting calls to the collaborating object and notify the expectation object.

Authors:
  Dierk Koenig

Property Summary
`java.lang.Object` | `expectation`

Method Summary
`java.lang.Object` | `afterInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.Object result)`
`java.lang.Object` | `beforeGet(java.lang.Object object, java.lang.String property)`
`java.lang.Object` | `beforeInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`void` | `beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue)`
`boolean` | `doInvoke()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### expectation

    java.lang.Object expectation

Method Detail

### afterInvoke

    java.lang.Object afterInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.Object result)

### beforeGet

    java.lang.Object beforeGet(java.lang.Object object, java.lang.String property)

### beforeInvoke

    java.lang.Object beforeInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### beforeSet

    void beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue)

### doInvoke

    boolean doInvoke()

Groovy Documentation